GDBserver

Public Attributes | List of all members
process_info_private Struct Reference

`#include "linux-low.h"`

## Public Attributes
struct arch_process_info * | arch_private
struct thread_db * | thread_db
CORE_ADDR | r_debug
ptid_t | last_wait_event_ptid

## Detailed Description

Definition at line 113 of file linux-low.h.

## Member Data Documentation

## ◆ arch_private

struct arch_process_info* process_info_private::arch_private

Definition at line 116 of file linux-low.h.

Referenced by aarch64_get_debug_reg_state(), aarch64_linux_new_fork(), arm_insert_point(), arm_new_fork(), arm_prepare_to_resume(), arm_remove_point(), linux_add_process(), linux_mourn(), mips_insert_point(), mips_linux_new_fork(), mips_linux_prepare_to_resume(), mips_remove_point(), mips_stopped_by_watchpoint(), mips_stopped_data_address(), x86_debug_reg_state(), x86_insert_point(), x86_linux_new_fork(), x86_remove_point(), x86_stopped_by_watchpoint(), and x86_stopped_data_address().

## ◆ last_wait_event_ptid

ptid_t process_info_private::last_wait_event_ptid

Definition at line 44 of file lynx-low.c.

Referenced by lynx_add_process(), lynx_resume(), and lynx_wait_1().

## ◆ r_debug

CORE_ADDR process_info_private::r_debug

Definition at line 123 of file linux-low.h.

Referenced by linux_qxfer_libraries_svr4().

## ◆ thread_db

struct thread_db* process_info_private::thread_db

Definition at line 120 of file linux-low.h.

Referenced by disable_thread_event_reporting(), find_new_threads_callback(), find_one_thread(), linux_look_up_symbols(), thread_db_detach(), thread_db_find_new_threads(), thread_db_get_tls_address(), thread_db_look_up_one_symbol(), thread_db_look_up_symbols(), thread_db_mourn(), thread_db_notice_clone(), thread_db_thread_handle(), and try_thread_db_load_1().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/gdbserver/linux-low.h
- /tmp/gdb-8.1/gdb/gdbserver/lynx-low.c